#
# spec file for package perl-Text-Glob
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Text-Glob
Version:        0.11
Release:        1.25
%define cpan_name Text-Glob
Summary:        Match Globbing Patterns Against Text
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Text-Glob/
Source0:        https://cpan.metacpan.org/authors/id/R/RC/RCLAMP/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
Text::Glob implements glob(3) style matching that can be used to match
against text, rather than fetching names from a filesystem. If you want to
do full file globbing use the File::Glob module instead.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes

%changelog
* Sat Mar 11 2017 coolo@suse.com
- updated to 0.11
  see /usr/share/doc/packages/perl-Text-Glob/Changes
  0.11    Wednesday 8th March, 2016
    Regenerated tarball on a linux machine (0.10 was released from OSX
    which added non-standard extended header attributes to the tar)
* Thu Sep 15 2016 coolo@suse.com
- updated to 0.10
  see /usr/share/doc/packages/perl-Text-Glob/Changes
  0.10    Wednesday 14th September, 2016
    Added ability to alter regex seperator (patch from Mark Fowler)
    Switch distribution packaging back to ExtUtils::MakeMaker (RT#104876)
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Fri Feb 25 2011 vcizek@novell.com
- update to 0.09
  * Compiled documentation fixes
    (collected by Tom Hukins from fixes on rt.cpan)
* Wed Feb  2 2011 vcizek@novell.com
- bzipped source tarball
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun Jun  8 2008 gerrit.beine@gmx.de
- first release 0.08
